# AWS API client for AWS App Mesh

**Warning: This is a generated library, some operations may not work.**

*About the service:*
AWS App Mesh is a service mesh based on the Envoy proxy that makes it easy
to monitor and control microservices. App Mesh standardizes how your
microservices communicate, giving you end-to-end visibility and helping to
ensure high availability for your applications.

App Mesh gives you consistent visibility and network traffic controls for
every microservice in an application. You can use App Mesh with AWS Fargate,
Amazon ECS, Amazon EKS, Kubernetes on AWS, and Amazon EC2.
<note>
App Mesh supports microservice applications that use service discovery
naming for their components. For more information about service discovery on
Amazon ECS, see <a
href="https://docs.aws.amazon.com/AmazonECS/latest/developerguide/service-discovery.html">Service
Discovery</a> in the <i>Amazon Elastic Container Service Developer
Guide</i>. Kubernetes <code>kube-dns</code> and <code>coredns</code> are
supported. For more information, see <a
href="https://kubernetes.io/docs/concepts/services-networking/dns-pod-service/">DNS
for Services and Pods</a> in the Kubernetes documentation.
</note>

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

